/* Reset básico */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    width: 100%;
    height: 100%;
    font-family: Arial, sans-serif;
    position: relative;
    overflow-x: hidden;
}

/* Fundo da página */
.background img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

/* Efeito de luz */
.efeito-luz img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    mix-blend-mode: screen;
    z-index: 10;
    pointer-events: none; /* pra não atrapalhar os cliques */
}

/* Conteúdo principal */
.conteudo {
    position: relative;
    z-index: 2;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: flex-start; /* <-- Alinha todos os itens para a esquerda */
    text-align: left; /* <-- Garante que o texto fique alinhado à esquerda */
}

/* logo principal */
.logo {
    position: relative;
    z-index: 2;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Logo topo */
.logo-header {
    width: 80px;
    margin-top: 5%;

}

/* Texto principal (imagem) */
.texto-principal {
    width: 100%;
    max-width: 270px;
    margin-top: -3%;
    margin-bottom: 15%;
}

/* Texto escrito do site */
.texto-site {
    color: #333;
    font-size: 15px;
    line-height: 1.2;
    max-width: 170px;
    margin-top: 0%;
    margin-bottom: 5%;
    text-align: left;
    font-family: 'Montserrat', sans-serif; /* <-- aqui aplica Montserrat */
}

/* Botões */
.botoes {
    display: flex;
    flex-direction: column;
    margin-top: 10%;
    margin-bottom: 10%;
}

.botoes .botao img {
    width: 180px;
    border-radius: 10px;
    margin-bottom: -20px;
    cursor: pointer;
    transition: transform 0.3s, box-shadow 0.3s;
}

.logo-loc {
    width: 50px;
    margin-bottom: -60px;
    margin-left: 100px;
}

/* Animação ao passar o mouse */
.botoes .botao img:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.4);
}

/* Animação de clique */
.botoes .botao img:active {
    transform: scale(0.95);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}

/* Logo do rodapé */
.logo-footer {
    width: 80px;
    margin-left: 30px;
}
